Skip to main content
System Management/User Configuration
GETUser ConfigurationSince 4.10.0SynchronousAuth Required

Query Account Group

Query Account Group

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the request is successful

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null on success. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. This field is null if there is no root cause

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The UUID of the account group, uniquely identifying this resource

    • nameStringRequired

      Account group name

    • descriptionStringRequired

      Detailed description of the account group

    • parentUuidStringRequired

      Parent account group UUID. null means no parent account group; it is the top-level group

    • rootGroupUuidStringRequired

      The UUID of the top-level account group. If this is the top-level group, rootGroupUuid points to itself

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/account-groups

/zstack/v1/account-groups

Operation ID

QueryAccountGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/account-groups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c7e4d70aa27b49839516c7ed9d3651a8", "name": "my-group", "description": "my-group-description", "rootGroupUuid": "c7e4d70aa27b49839516c7ed9d3651a8", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history